package com.fs.doc.service;

import java.util.List;
import com.fs.doc.domain.DocRecordReply;
import com.fs.doc.param.DocRecordReplyQueryParam;
import com.fs.doc.vo.DocRecordReplyListQueryVO;

/**
 * 回复Service接口
 * 
 * @author fs
 * @date 2023-01-09
 */
public interface IDocRecordReplyService 
{
    /**
     * 查询回复
     * 
     * @param replyId 回复ID
     * @return 回复
     */
    public DocRecordReply selectDocRecordReplyById(Long replyId);

    /**
     * 查询回复列表
     * 
     * @param docRecordReply 回复
     * @return 回复集合
     */
    public List<DocRecordReply> selectDocRecordReplyList(DocRecordReply docRecordReply);

    /**
     * 新增回复
     * 
     * @param docRecordReply 回复
     * @return 结果
     */
    public int insertDocRecordReply(DocRecordReply docRecordReply);

    /**
     * 修改回复
     * 
     * @param docRecordReply 回复
     * @return 结果
     */
    public int updateDocRecordReply(DocRecordReply docRecordReply);

    /**
     * 批量删除回复
     * 
     * @param replyIds 需要删除的回复ID
     * @return 结果
     */
    public int deleteDocRecordReplyByIds(Long[] replyIds);

    /**
     * 删除回复信息
     * 
     * @param replyId 回复ID
     * @return 结果
     */
    public int deleteDocRecordReplyById(Long replyId);

    List<DocRecordReplyListQueryVO> selectDocRecordReplyListVOQuery(DocRecordReplyQueryParam param);
}
